<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_65) on Fri Aug 22 15:06:28 CEST 2014 -->
<title>DefaultWebSocketServerFactory</title>
<meta name="date" content="2014-08-22">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="DefaultWebSocketServerFactory";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DefaultWebSocketServerFactory.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/java_websocket/server/DefaultSSLWebSocketServerFactory.html" title="class in org.java_websocket.server"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../org/java_websocket/server/WebSocketServer.html" title="class in org.java_websocket.server"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/java_websocket/server/DefaultWebSocketServerFactory.html" target="_top">Frames</a></li>
<li><a href="DefaultWebSocketServerFactory.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.java_websocket.server</div>
<h2 title="Class DefaultWebSocketServerFactory" class="title">Class DefaultWebSocketServerFactory</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>org.java_websocket.server.DefaultWebSocketServerFactory</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../org/java_websocket/server/WebSocketServer.WebSocketServerFactory.html" title="interface in org.java_websocket.server">WebSocketServer.WebSocketServerFactory</a>, <a href="../../../org/java_websocket/WebSocketFactory.html" title="interface in org.java_websocket">WebSocketFactory</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="strong">DefaultWebSocketServerFactory</span>
extends java.lang.Object
implements <a href="../../../org/java_websocket/server/WebSocketServer.WebSocketServerFactory.html" title="interface in org.java_websocket.server">WebSocketServer.WebSocketServerFactory</a></pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../org/java_websocket/server/DefaultWebSocketServerFactory.html#DefaultWebSocketServerFactory()">DefaultWebSocketServerFactory</a></strong>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../org/java_websocket/WebSocketImpl.html" title="class in org.java_websocket">WebSocketImpl</a></code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/server/DefaultWebSocketServerFactory.html#createWebSocket(org.java_websocket.WebSocketAdapter,%20org.java_websocket.drafts.Draft,%20java.net.Socket)">createWebSocket</a></strong>(<a href="../../../org/java_websocket/WebSocketAdapter.html" title="class in org.java_websocket">WebSocketAdapter</a>&nbsp;a,
               <a href="../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a>&nbsp;d,
               java.net.Socket&nbsp;s)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../org/java_websocket/WebSocketImpl.html" title="class in org.java_websocket">WebSocketImpl</a></code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/server/DefaultWebSocketServerFactory.html#createWebSocket(org.java_websocket.WebSocketAdapter,%20java.util.List,%20java.net.Socket)">createWebSocket</a></strong>(<a href="../../../org/java_websocket/WebSocketAdapter.html" title="class in org.java_websocket">WebSocketAdapter</a>&nbsp;a,
               java.util.List&lt;<a href="../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a>&gt;&nbsp;d,
               java.net.Socket&nbsp;s)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.nio.channels.SocketChannel</code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/server/DefaultWebSocketServerFactory.html#wrapChannel(java.nio.channels.SocketChannel,%20java.nio.channels.SelectionKey)">wrapChannel</a></strong>(java.nio.channels.SocketChannel&nbsp;channel,
           java.nio.channels.SelectionKey&nbsp;key)</code>
<div class="block">Allows to wrap the Socketchannel( key.channel() ) to insert a protocol layer( like ssl or proxy authentication) beyond the ws layer.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="DefaultWebSocketServerFactory()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>DefaultWebSocketServerFactory</h4>
<pre>public&nbsp;DefaultWebSocketServerFactory()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="createWebSocket(org.java_websocket.WebSocketAdapter, org.java_websocket.drafts.Draft, java.net.Socket)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createWebSocket</h4>
<pre>public&nbsp;<a href="../../../org/java_websocket/WebSocketImpl.html" title="class in org.java_websocket">WebSocketImpl</a>&nbsp;createWebSocket(<a href="../../../org/java_websocket/WebSocketAdapter.html" title="class in org.java_websocket">WebSocketAdapter</a>&nbsp;a,
                            <a href="../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a>&nbsp;d,
                            java.net.Socket&nbsp;s)</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../org/java_websocket/server/WebSocketServer.WebSocketServerFactory.html#createWebSocket(org.java_websocket.WebSocketAdapter,%20org.java_websocket.drafts.Draft,%20java.net.Socket)">createWebSocket</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/java_websocket/server/WebSocketServer.WebSocketServerFactory.html" title="interface in org.java_websocket.server">WebSocketServer.WebSocketServerFactory</a></code></dd>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../org/java_websocket/WebSocketFactory.html#createWebSocket(org.java_websocket.WebSocketAdapter,%20org.java_websocket.drafts.Draft,%20java.net.Socket)">createWebSocket</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/java_websocket/WebSocketFactory.html" title="interface in org.java_websocket">WebSocketFactory</a></code></dd>
</dl>
</li>
</ul>
<a name="createWebSocket(org.java_websocket.WebSocketAdapter, java.util.List, java.net.Socket)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createWebSocket</h4>
<pre>public&nbsp;<a href="../../../org/java_websocket/WebSocketImpl.html" title="class in org.java_websocket">WebSocketImpl</a>&nbsp;createWebSocket(<a href="../../../org/java_websocket/WebSocketAdapter.html" title="class in org.java_websocket">WebSocketAdapter</a>&nbsp;a,
                            java.util.List&lt;<a href="../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a>&gt;&nbsp;d,
                            java.net.Socket&nbsp;s)</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../org/java_websocket/server/WebSocketServer.WebSocketServerFactory.html#createWebSocket(org.java_websocket.WebSocketAdapter,%20java.util.List,%20java.net.Socket)">createWebSocket</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/java_websocket/server/WebSocketServer.WebSocketServerFactory.html" title="interface in org.java_websocket.server">WebSocketServer.WebSocketServerFactory</a></code></dd>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../org/java_websocket/WebSocketFactory.html#createWebSocket(org.java_websocket.WebSocketAdapter,%20java.util.List,%20java.net.Socket)">createWebSocket</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/java_websocket/WebSocketFactory.html" title="interface in org.java_websocket">WebSocketFactory</a></code></dd>
</dl>
</li>
</ul>
<a name="wrapChannel(java.nio.channels.SocketChannel, java.nio.channels.SelectionKey)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>wrapChannel</h4>
<pre>public&nbsp;java.nio.channels.SocketChannel&nbsp;wrapChannel(java.nio.channels.SocketChannel&nbsp;channel,
                                          java.nio.channels.SelectionKey&nbsp;key)</pre>
<div class="block"><strong>Description copied from interface:&nbsp;<code><a href="../../../org/java_websocket/server/WebSocketServer.WebSocketServerFactory.html#wrapChannel(java.nio.channels.SocketChannel,%20java.nio.channels.SelectionKey)">WebSocketServer.WebSocketServerFactory</a></code></strong></div>
<div class="block">Allows to wrap the Socketchannel( key.channel() ) to insert a protocol layer( like ssl or proxy authentication) beyond the ws layer.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../org/java_websocket/server/WebSocketServer.WebSocketServerFactory.html#wrapChannel(java.nio.channels.SocketChannel,%20java.nio.channels.SelectionKey)">wrapChannel</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/java_websocket/server/WebSocketServer.WebSocketServerFactory.html" title="interface in org.java_websocket.server">WebSocketServer.WebSocketServerFactory</a></code></dd>
<dd><code>key</code> - a SelectionKey of an open SocketChannel.</dd>
<dt><span class="strong">Returns:</span></dt><dd>The channel on which the read and write operations will be performed.<br></dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DefaultWebSocketServerFactory.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/java_websocket/server/DefaultSSLWebSocketServerFactory.html" title="class in org.java_websocket.server"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../org/java_websocket/server/WebSocketServer.html" title="class in org.java_websocket.server"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/java_websocket/server/DefaultWebSocketServerFactory.html" target="_top">Frames</a></li>
<li><a href="DefaultWebSocketServerFactory.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
